package v1

import (
	kustomizeapi "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/kubernetes_api/agentk/watch_graph/vendored/github.com/fluxcd/kustomize-controller/api"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
)

const (
	Version    = "v1"
	APIVersion = kustomizeapi.GroupName + "/" + Version
)

var (
	KustomizationTypeMeta = tm("Kustomization")
)

func tm(kind string) metav1.TypeMeta {
	return metav1.TypeMeta{
		APIVersion: APIVersion,
		Kind:       kind,
	}
}
